Package org.eclipse.lemminx.telemetry

## Class TelemetryManager

- java.lang.Object
- - org.eclipse.lemminx.telemetry.TelemetryManager

    public class TelemetryManager
    extends Object

Telemetry manager.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`TelemetryManager​(org.eclipse.lsp4j.services.LanguageClient languageClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEnabled()`
`void` `onDidOpen​(DOMDocument document, ContentModelManager manager)`
`void` `onInitialized​(org.eclipse.lsp4j.InitializedParams params)` Send a telemetry event on start of the XML server
`void` `setEnabled​(boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryManager

    public TelemetryManager​(org.eclipse.lsp4j.services.LanguageClient languageClient)

### Method Detail

#### isEnabled

    public boolean isEnabled()

#### setEnabled

    public void setEnabled​(boolean enabled)

#### onInitialized

    public void onInitialized​(org.eclipse.lsp4j.InitializedParams params)

Send a telemetry event on start of the XML server

Parameters:
  `params` -

#### onDidOpen

    public void onDidOpen​(DOMDocument document,
                          ContentModelManager manager)